Package org.springframework.jmx.support

# Class MBeanServerConnectionFactoryBean

java.lang.Object
org.springframework.jmx.support.MBeanServerConnectionFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanClassLoaderAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.FactoryBean<MBeanServerConnection>`, `org.springframework.beans.factory.InitializingBean`

public class MBeanServerConnectionFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<MBeanServerConnection>, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean
`FactoryBean` that creates a JMX 1.2 `MBeanServerConnection` to a remote `MBeanServer` exposed via a `JMXServerConnector`. Exposes the `MBeanServer` for bean references.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - `MBeanServerFactoryBean`
  - `ConnectorServerFactoryBean`
  - `MBeanClientInterceptor.setServer(javax.management.MBeanServerConnection)`
  - `NotificationListenerRegistrar.setServer(javax.management.MBeanServerConnection)`

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`MBeanServerConnectionFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Creates a `JMXConnector` for the given settings and exposes the associated `MBeanServerConnection`.
`void`
`destroy()`
Closes the underlying `JMXConnector`.
`MBeanServerConnection`
`getObject()`
`Class<? extends MBeanServerConnection>`
`getObjectType()`
`boolean`
`isSingleton()`
`void`
`setBeanClassLoader(ClassLoader classLoader)`
`void`
`setConnectOnStartup(boolean connectOnStartup)`
Set whether to connect to the server on startup.
`void`
`setEnvironment(Properties environment)`
Set the environment properties used to construct the `JMXConnector` as `java.util.Properties` (String key/value pairs).
`void`
`setEnvironmentMap(Map<String,?> environment)`
Set the environment properties used to construct the `JMXConnector` as a `Map` of String keys and arbitrary Object values.
`void`
`setServiceUrl(String url)`
Set the service URL of the remote `MBeanServer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MBeanServerConnectionFactoryBean

public MBeanServerConnectionFactoryBean()

## Method Details

### setServiceUrl

public void setServiceUrl(String url) throws MalformedURLException
Set the service URL of the remote `MBeanServer`.

Throws:
  `MalformedURLException`

### setEnvironment

public void setEnvironment(Properties environment)
Set the environment properties used to construct the `JMXConnector` as `java.util.Properties` (String key/value pairs).

### setEnvironmentMap

public void setEnvironmentMap(@Nullable Map<String,?> environment)
Set the environment properties used to construct the `JMXConnector` as a `Map` of String keys and arbitrary Object values.

### setConnectOnStartup

public void setConnectOnStartup(boolean connectOnStartup)
Set whether to connect to the server on startup.

Default is `true`.

Can be turned off to allow for late start of the JMX server. In this case, the JMX connector will be fetched on first access.

### setBeanClassLoader

public void setBeanClassLoader(ClassLoader classLoader)

Specified by:
  `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

### afterPropertiesSet

public void afterPropertiesSet() throws IOException
Creates a `JMXConnector` for the given settings and exposes the associated `MBeanServerConnection`.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `IOException`

### getObject

@Nullable public MBeanServerConnection getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<MBeanServerConnection>`

### getObjectType

public Class<? extends MBeanServerConnection> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<MBeanServerConnection>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<MBeanServerConnection>`

### destroy

public void destroy() throws IOException
Closes the underlying `JMXConnector`.

Specified by:
  `destroy` in interface `org.springframework.beans.factory.DisposableBean`
Throws:
  `IOException`